Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.factories
Class EndpointFactoryBean

    java.lang.Object
      org.mule.endpoint.AbstractEndpointBuilder
          org.mule.endpoint.EndpointURIEndpointBuilder
              org.mule.config.spring.factories.EndpointFactoryBean

All Implemented Interfaces:
  Cloneable, MuleContextAware, EndpointBuilder, Initialisable, org.springframework.beans.factory.FactoryBean

    public class EndpointFactoryBean

extends EndpointURIEndpointBuilder
implements org.springframework.beans.factory.FactoryBean, MuleContextAware, Initialisable

Endpoint factory bean which uses type attribute to determine endpoint type (Used by 1to2migration module)

Field Summary
`static String` | `ALWAYS_CREATE_STRING`
`static String` | `ENDPOINT_TYPE_RECEIVER`
`static String` | `ENDPOINT_TYPE_SENDER`
`protected Log` | `logger`
`static String` | `NEVER_CREATE_STRING`

Fields inherited from class org.mule.endpoint.AbstractEndpointBuilder
`connector, createConnector, deleteUnacceptedMessages, disableTransportTransformer, encoding, initialState, messageExchangePattern, messageProcessors, messageProcessorsFactory, mimeType, muleContext, name, properties, PROPERTY_RESPONSE_PROPERTIES, PROPERTY_RESPONSE_TIMEOUT, registryId, responseMessageProcessors, responsePropertiesList, responseTimeout, responseTransformers, retryPolicyTemplate, synchronous, transactionConfig, transformers, uriBuilder`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`EndpointFactoryBean()`

Method Summary
`Object` | `getObject()`
`Class` | `getObjectType()`
`void` | `initialise()` Method used to perform any initialisation work.
`boolean` | `isSingleton()`
`void` | `setType(String type)`

Methods inherited from class org.mule.endpoint.AbstractEndpointBuilder
`addMessageProcessor, addResponseMessageProcessor, addResponseTransformer, addResponseTransformers, addResponseTransformersFromUri, addTransformer, addTransformers, addTransformersFromUri, buildInboundEndpoint, buildOutboundEndpoint, checkInboundExchangePattern, clone, doBuildInboundEndpoint, doBuildOutboundEndpoint, equal, equals, getConnector, getDefaultConnector, getDefaultDeleteUnacceptedMessages, getDefaultDisableTransportTransformer, getDefaultEndpointEncoding, getDefaultInitialState, getDefaultMessageProcessorsFactory, getDefaultResponseTimeout, getDefaultSecurityFilter, getDefaultTransactionConfig, getDeleteUnacceptedMessages, getEndpointBuilder, getEndpointEncoding, getInitialState, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getName, getProperties, getResponseMessageProcessors, getResponseTimeout, getRetryPolicyTemplate, getScheme, getSecurityFilter, getTransactionConfig, hashCode, initExchangePatternFromConnectorDefault, isAlwaysCreateConnector, isDisableTransportTransformer, prepareToBuildEndpoint, setConnector, setCreateConnector, setDeleteUnacceptedMessages, setDisableTransportTransformer, setEncoding, setExchangePattern, setInitialState, setMessageProcessors, setMimeType, setMuleContext, setName, setProperties, setPropertiesFromProperties, setProperty, setRegistryId, setResponseMessageProcessors, setResponseTimeout, setResponseTransformers, setRetryPolicyTemplate, setTransactionConfig, setTransformers, setURIBuilder`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.context.MuleContextAware
`setMuleContext`

Field Detail

### ENDPOINT_TYPE_SENDER

    public static final String ENDPOINT_TYPE_SENDER

See Also:
  Constant Field Values

### ENDPOINT_TYPE_RECEIVER

    public static final String ENDPOINT_TYPE_RECEIVER

See Also:
  Constant Field Values

### ALWAYS_CREATE_STRING

    public static final String ALWAYS_CREATE_STRING

See Also:
  Constant Field Values

### NEVER_CREATE_STRING

    public static final String NEVER_CREATE_STRING

See Also:
  Constant Field Values

### logger

    protected final Log logger

Constructor Detail

### EndpointFactoryBean

    public EndpointFactoryBean()

Method Detail

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean`
  Throws:
    `Exception`

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean`

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### setType

    public void setType(String type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.